Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706760 - dev-python/pypy3-exe-7.3.0 : fails to build with -fno-common or gcc-10
Summary: dev-python/pypy3-exe-7.3.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL: https://foss.heptapod.net/pypy/pypy/i...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 20:24 UTC by Toralf Förster
Modified: 2020-02-26 12:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.87 KB, text/plain)
2020-01-27 20:24 UTC, Toralf Förster
Details
dev-python:pypy3-exe-7.3.0:20200127-182357.log (dev-python:pypy3-exe-7.3.0:20200127-182357.log,756.82 KB, text/plain)
2020-01-27 20:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,55.90 KB, text/plain)
2020-01-27 20:24 UTC, Toralf Förster
Details
environment (environment,94.15 KB, text/plain)
2020-01-27 20:24 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.10 KB, application/x-bzip)
2020-01-27 20:24 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.55 KB, application/x-bzip)
2020-01-27 20:24 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 20:24:04 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: vmprof_common.o:(.bss+0x0): multiple definition of `_PyThreadState_Current'; rvmprof.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 17:10:40 +0000

emerge -qpvO dev-python/pypy3-exe
[ebuild  N    ] dev-python/pypy3-exe-7.3.0  USE="bzip2 ncurses -jit -low-memory" CPU_FLAGS_X86="(-sse2)"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 20:24:07 UTC
Created attachment 605782 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 20:24:10 UTC
Created attachment 605784 [details]
dev-python:pypy3-exe-7.3.0:20200127-182357.log
Comment 3 Toralf Förster gentoo-dev 2020-01-27 20:24:13 UTC
Created attachment 605786 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-27 20:24:15 UTC
Created attachment 605788 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-27 20:24:18 UTC
Created attachment 605790 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 20:24:21 UTC
Created attachment 605792 [details]
logs.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-02-26 12:12:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a228f0e10efcfef0855e43f10539910db08b2f8f

commit a228f0e10efcfef0855e43f10539910db08b2f8f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-26 12:12:20 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-26 12:12:20 +0000

    dev-python/pypy3-exe: Fix GCC 10 / -fno-common
    
    Closes: https://bugs.gentoo.org/706760
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/pypy3-exe-7.3.0-gcc10-fno-common.patch   | 25 ++++++++++++++++++++++
 dev-python/pypy3-exe/pypy3-exe-7.3.0.ebuild        |  5 +++++
 2 files changed, 30 insertions(+)